﻿@model PagedList.IPagedList<CoinPaymentsIPNListItemViewModel>
@{
    ViewBag.Title = $"لیست گزارش های IPN های CoinPayments";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-3">تعداد کل: <span>@ViewBag.Total</span></div>
    </div>
</div>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">لیست IPN</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                        @<thead>
                            <tr>
                                <th style="width:10px;">
                                    @Html.DisplayNameFor(model => model.GetObject().Id)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Amount1)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().TxnId)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Currency)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Amount)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Status)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().StatusText)
                                </th>
                                <th>
                                    <span>عملیات</span>
                                </th>
                            </tr>
                        </thead>,
            @<tbody>
                @foreach (var mod in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Amount1)
                        </td>
                        <td>
                            <a href="#" onclick="ViewTransaction('@mod.TxnId'); return false;">
                                @Html.DisplayFor(modelItem => mod.TxnId)
                            </a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Currency)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Amount)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Status)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.StatusText)
                        </td>
                        <td>
                            <div class="btn-group">
                                @Html.ActionLink("مشاهده", "IPNDetail", new { id = mod.Id }, new { @class = "btn btn-warning" })
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(1, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        var viewTransactionUrl = "@Url.Action("ViewTransaction")";
        function ViewTransaction(TxnId) {
            var postData = { id: TxnId };
            doAjaxModal(postData, viewTransactionUrl);
        }
    </script>    
}